Skip to main content

Retrieve a collection of contacts information

GET 

/api/contacts

This API endpoint is crafted to offer you an extensive list of user contacts, empowering you with the ability to filter, paginate, and access in-depth contact information seamlessly within your system.

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    name string
    type string

    Possible values: [legal_entity, person]

    country string
    address stringnull
    city stringnull
    zip stringnull
    state stringnull
    language string

    Possible values: [en, de, fr, it, cs, pl]

    selfContact boolean
    expenseCategory objectnullable
    id integer
    name string
    expenseCostCenter objectnullable
    id integer
    name string
    expenseVat objectnullable
    id integer
    name string
    value string
    autoCompleteExpenseManagement boolean

    Whether accounting details from the contact should automatically mark related expense management as completed.

  • ]
Loading...